<%- include("partials/header") %>

    <!-- RESERVES Modal -->

    <!-- HISTORY Modal -->
    <div class="modal fade" id="historyShowAllModal" tabindex="-1" role="dialog" aria-labelledby="historyShowAllModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="historyShowAllModalLabel">تاریخچه رزروها</h5>
            <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row m-0">
              <% for (i = 0; i < pageData.history.length; i++) { %>
                <div class="card ml-auto my-2 w-25 p-2 p-3 col-3 custom-border" houseid="<%= pageData.history[i].house_data.house_id %>" reserveid="<%= pageData.history[i].reserve_data.reserve_id %>">
                  <img src="<%= pageData.history[i].house_data.pics[0] %>" class="card-img-top" alt="...">
                  <div class="card-body text-right history-card">
                    <p class="mb-2 text-muted small"><span><%= pageData.history[i].house_data.building_kind %></span> - <span><%= pageData.history[i].house_data.bedrooms %> خوابه</span> - <span><%= pageData.history[i].house_data.region %></span>، <span><%= pageData.history[i].house_data.city %></span></p>
                    <h5 class="mb-2"><%= pageData.history[i].house_data.title %></h5>
                    <p class="mb-2">تاریخ رفت: <span><%= pageData.history[i].reserve_data.reserve_from_date_day %></span> <span><%= pageData.history[i].reserve_data.reserve_from_date_month %></span> <span><%= pageData.history[i].reserve_data.reserve_from_date_year %></span></p>
                    <p class="mb-2">تاریخ برگشت: <span><%= pageData.history[i].reserve_data.reserve_to_date_day %></span> <span><%= pageData.history[i].reserve_data.reserve_to_date_month %></span> <span><%= pageData.history[i].reserve_data.reserve_to_date_year %></span></p>
                    <p class="mb-2">مبلغ: <span><%= pageData.history[i].reserve_data.price %></span> ریال</p>
                    <div class="history-comment">
                      <% if (pageData.history[i].history_data.commented == "true") { %>
                        <div class="history-comment-box rounded d-none">
                          <div class="history-comment-box-rating p-2 border-bottom border-gray">
                            <p class="m-0">خیلی خوب</p>
                          </div>
                          <form class="p-2" onsubmit="historyCommentSubmit(event, <%= pageData.history[i].reserve_data.reserve_id %>);">
                            <textarea class="d-block w-100 rounded" placeholder="نظر خود را بنویسید"></textarea>
                            <div class="w-100 p-2" dir="ltr">
                              <button type="submit" class="btn btn-primary">ثبت نظر</button>
                              <button type="button" class="btn btn-secondary" onclick="historyCommentClose(event);">بیخیال</button>
                            </div>
                          </form>
                        </div>
                        <p class="mb-2">نظر شما:
                          <span class="history-rating mr-2">
                            <i class="fas fa-star" onmouseenter="historyRatingHover(event, 1);" onclick="openCommentBox(event);"></i>
                            <i class="fas fa-star" onmouseenter="historyRatingHover(event, 2);" onclick="openCommentBox(event);"></i>
                            <i class="fas fa-star" onmouseenter="historyRatingHover(event, 3);" onclick="openCommentBox(event);"></i>
                            <i class="fas fa-star" onmouseenter="historyRatingHover(event, 4);" onclick="openCommentBox(event);"></i>
                            <i class="fas fa-star" onmouseenter="historyRatingHover(event, 5);" onclick="openCommentBox(event);"></i>
                          </span>
                        </p>
                      <% } else { %>
                        <p class="mb-2">امتیاز:
                          <span class="history-rating mr-2" rating="<%= pageData.history[i].history_data.user_rating %>">
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star"></i>
                            <i class="fas fa-star" style="color: #ffc107;"></i>
                          </span>
                        </p>
                        <p><%= pageData.history[i].history_data.user_comment %></p>
                      <% } %>
                    </div>
                  </div>
                </div>
              <% } %>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- FAVORITES Modal -->
    <div class="modal fade" id="favoritesShowAllModal" tabindex="-1" role="dialog" aria-labelledby="favoritesShowAllModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-xl" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <h5 class="modal-title" id="favoritesShowAllModalLabel">خانه‌های مورد علاقه‌ی شما</h5>
            <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body">
            <div class="row m-0">
              <% for (i = 0; i < pageData.favorites.length; i++) { %>
                <div class="card ml-auto my-2 w-25 p-2 p-3 col-3 custom-border" houseid="<%= pageData.favorites[i].house_id %>">
                  <img src="<%= pageData.favorites[i].pics[0] %>" class="card-img-top" alt="...">
                  <div class="card-body text-right pt-2">
                    <p class="mb-2 text-muted small"><span><%= pageData.favorites[i].building_kind %></span> - <span><%= pageData.favorites[i].bedrooms %> خوابه</span> - <span><%= pageData.favorites[i].region %></span>، <span><%= pageData.favorites[i].city %></span></p>
                    <h5 class="mb-2"><%= pageData.favorites[i].title %></h5>
                    <p class="mb-2">قیمت روزانه: <span><%= pageData.favorites[i].normal_price %></span> ریال</p>
                    <p class="mb-2">امتیاز:
                      <span rating="<%= pageData.favorites[i].rating %>">
                        <i class="fas fa-star"></i>
                        <i class="fas fa-star"></i>
                        <i class="fas fa-star"></i>
                        <i class="fas fa-star"></i>
                        <i class="fas fa-star"></i>
                      </span>
                    </p>
                    <div class="house-card-icons text-center">
                      <a href="#" onclick="likeHouse(event, <%= pageData.favorites[i].house_id %>);"><i class="fas fa-heart mx-2 liked"></i></a>
                      <a href="#"><i class="fas fa-share-alt mx-2"></i></a>
                    </div>
                  </div>
                </div>
              <% } %>
            </div>
          </div>
        </div>
      </div>
    </div>

    <!-- CHAT Modal -->
    <div class="modal fade" id="chatModal" tabindex="-1" role="dialog" aria-labelledby="chatModalLabel" aria-hidden="true">
      <div class="modal-dialog modal-lg" role="document">
        <div class="modal-content">
          <div class="modal-header">
            <div class="modal-title chat-modal-title" id="chatModalLabel">
              <img src="" class="d-inline-block rounded-circle">
              <h5 class="d-inline-block mb-0 mx-2"></h5>
            </div>
            <button type="button" class="close mr-auto ml-0" data-dismiss="modal" aria-label="Close">
              <span aria-hidden="true">&times;</span>
            </button>
          </div>
          <div class="modal-body p-0">
            <div class="chat-history p-3"></div>
            <form class="chat-form p-3" onsubmit="sendMessage(event);" dir="ltr">
              <div class="input-group">
                <div class="input-group-append">
                  <div class="input-group-text border-0">
                    <button type="submit" class="send-message-button border-0">
                      <i class="fas fa-paper-plane"></i>
                    </button>
                  </div>
                </div>
                <input type="text" class="form-control chat-input text-right" placeholder="پیام" dir="rtl">
              </div>
            </form>
          </div>
        </div>
      </div>
    </div>

    <section class="guest-dashboard py-4 px-4">
      <div class="reserve-panel my-3">
        <div class="dashboard-panel-title pb-2 pt-1 px-2">
          <h5 class="text-right m-0">رزرو شده <span>(<%= pageData.reserves.length %>)</span></h5>
        </div>
        <div class="dashboard-panel-content p-2">
          <div class="row m-0">
            <% for (i = 0; i < pageData.reserves.length; i++) { %>
              <div class="card ml-auto my-2 w-25 p-2 p-3 col-3 custom-border">
                <img src="<%= pageData.reserves[i].house_data.pics[0] %>" class="card-img-top" alt="...">
                <div class="card-body text-right">
                  <p class="mb-2 text-muted small"><span><%= pageData.reserves.house_data.building_kind %></span> - <span><%= pageData.reserves.house_data.bedrooms %> خوابه</span> - <span><%= pageData.reserves.house_data.region %></span>، <span><%= pageData.reserves.house_data.city %></span></p>
                  <h5 class="mb-2"><%= pageData.reserves.house_data.title %></h5>
                  <p class="mb-2">تاریخ رفت: <span><%= pageData.reserves.reserve_data.reserve_from_date_day %></span> <span><%= pageData.reserves.reserve_data.reserve_from_date_month %></span> <span><%= pageData.reserves.reserve_data.reserve_from_date_year %></span></p>
                  <p class="mb-2">تاریخ برگشت: <span><%= pageData.reserves.reserve_data.reserve_to_date_day %></span> <span><%= pageData.reserves.reserve_data.reserve_to_date_month %></span> <span><%= pageData.reserves.reserve_data.reserve_to_date_year %></span></p>
                  <p class="mb-2">مبلغ: <span><%= pageData.reserves.reserve_data.price %></span> ریال</p>
                  <p class="mb-2">وضعیت: <span><%= pageData.reserves.reserve_data.status %></span></p>
                  <a href="#" class="send-message-to-host" onclick="openChatModal(event, <%= pageData.house_data.owner_id %>);">ارسال پیام به میزبان</a>
                  <br>
                  <a href="#" class="btn btn-danger mt-3">کنسل</a>
                </div>
              </div>
            <% } %>
          </div>
        </div>
      </div>
      <div class="history-panel my-3">
        <div class="dashboard-panel-title pb-2 pt-1 px-2">
          <h5 class="text-right m-0 float-right">تاریخچه <span>(<%= pageData.history.length %>)</span></h5>
          <% if (pageData.history.length > 0) { %>
            <a href="#" class="float-left show-all-link" data-toggle="modal" data-target="#historyShowAllModal">مشاهده‌ی همه <i class="fas fa-chevron-left"></i></a>
          <% } %>
          <div class="clearfix"></div>
        </div>
        <div class="dashboard-panel-content p-2">
          <div class="row m-0">
            <% for (i = 0; i < pageData.history.length; i++) { %>
              <div class="card ml-auto my-2 w-25 p-2 p-3 col-3 custom-border" houseid="<%= pageData.history[i].house_data.house_id %>" reserveid="<%= pageData.history[i].reserve_data.reserve_id %>">
                <img src="<%= pageData.history[i].house_data.pics[0] %>" class="card-img-top" alt="...">
                <div class="card-body text-right history-card">
                  <p class="mb-2 text-muted small"><span><%= pageData.history[i].house_data.building_kind %></span> - <span><%= pageData.history[i].house_data.bedrooms %> خوابه</span> - <span><%= pageData.history[i].house_data.region %></span>، <span><%= pageData.history[i].house_data.city %></span></p>
                  <h5 class="mb-2"><%= pageData.history[i].house_data.title %></h5>
                  <p class="mb-2">تاریخ رفت: <span><%= pageData.history[i].reserve_data.reserve_from_date_day %></span> <span><%= pageData.history[i].reserve_data.reserve_from_date_month %></span> <span><%= pageData.history[i].reserve_data.reserve_from_date_year %></span></p>
                  <p class="mb-2">تاریخ برگشت: <span><%= pageData.history[i].reserve_data.reserve_to_date_day %></span> <span><%= pageData.history[i].reserve_data.reserve_to_date_month %></span> <span><%= pageData.history[i].reserve_data.reserve_to_date_year %></span></p>
                  <p class="mb-2">مبلغ: <span><%= pageData.history[i].reserve_data.price %></span> ریال</p>
                  <div class="history-comment">
                    <% if (pageData.history[i].history_data.commented == "true") { %>
                      <div class="history-comment-box rounded d-none">
                        <div class="history-comment-box-rating p-2 border-bottom border-gray">
                          <p class="m-0">خیلی خوب</p>
                        </div>
                        <form class="p-2" onsubmit="historyCommentSubmit(event, <%= pageData.history[i].reserve_data.reserve_id %>);">
                          <textarea class="d-block w-100 rounded" placeholder="نظر خود را بنویسید"></textarea>
                          <div class="w-100 p-2" dir="ltr">
                            <button type="submit" class="btn btn-primary">ثبت نظر</button>
                            <button type="button" class="btn btn-secondary" onclick="historyCommentClose(event);">بیخیال</button>
                          </div>
                        </form>
                      </div>
                      <p class="mb-2">نظر شما:
                        <span class="history-rating mr-2">
                          <i class="fas fa-star" onmouseenter="historyRatingHover(event, 1);" onclick="openCommentBox(event);"></i>
                          <i class="fas fa-star" onmouseenter="historyRatingHover(event, 2);" onclick="openCommentBox(event);"></i>
                          <i class="fas fa-star" onmouseenter="historyRatingHover(event, 3);" onclick="openCommentBox(event);"></i>
                          <i class="fas fa-star" onmouseenter="historyRatingHover(event, 4);" onclick="openCommentBox(event);"></i>
                          <i class="fas fa-star" onmouseenter="historyRatingHover(event, 5);" onclick="openCommentBox(event);"></i>
                        </span>
                      </p>
                    <% } else { %>
                      <p class="mb-2">امتیاز:
                        <span class="history-rating mr-2" rating="<%= pageData.history[i].history_data.user_rating %>">
                          <i class="fas fa-star"></i>
                          <i class="fas fa-star"></i>
                          <i class="fas fa-star"></i>
                          <i class="fas fa-star"></i>
                          <i class="fas fa-star" style="color: #ffc107;"></i>
                        </span>
                      </p>
                      <p><%= pageData.history[i].history_data.user_comment %></p>
                    <% } %>
                  </div>
                </div>
              </div>
            <% } %>
          </div>
        </div>
      </div>
      <div class="favorites-panel my-3">
        <div class="dashboard-panel-title pb-2 pt-1 px-2">
          <h5 class="text-right m-0 float-right">موردعلاقه‌ها <span>(<%= pageData.favorites.length %>)</span></h5>
          <% if (pageData.history.length > 0) { %>
            <a href="#" class="float-left show-all-link" data-toggle="modal" data-target="#favoritesShowAllModal">مشاهده‌ی همه <i class="fas fa-chevron-left"></i></a>
          <% } %>
          <div class="clearfix"></div>
        </div>
        <div class="dashboard-panel-content p-2">
          <div class="row m-0">
            <% for (i = 0; i < pageData.favorites.length; i++) { %>
              <div class="card ml-auto my-2 w-25 p-2 p-3 col-3 custom-border" houseid="<%= pageData.favorites[i].house_id %>">
                <img src="<%= pageData.favorites[i].pics[0] %>" class="card-img-top" alt="...">
                <div class="card-body text-right pt-2">
                  <p class="mb-2 text-muted small"><span><%= pageData.favorites[i].building_kind %></span> - <span><%= pageData.favorites[i].bedrooms %> خوابه</span> - <span><%= pageData.favorites[i].region %></span>، <span><%= pageData.favorites[i].city %></span></p>
                  <h5 class="mb-2"><%= pageData.favorites[i].title %></h5>
                  <p class="mb-2">قیمت روزانه: <span><%= pageData.favorites[i].normal_price %></span> ریال</p>
                  <p class="mb-2">امتیاز:
                    <span rating="<%= pageData.favorites[i].rating %>">
                      <i class="fas fa-star"></i>
                      <i class="fas fa-star"></i>
                      <i class="fas fa-star"></i>
                      <i class="fas fa-star"></i>
                      <i class="fas fa-star"></i>
                    </span>
                  </p>
                  <div class="house-card-icons text-center">
                    <a href="#" onclick="likeHouse(event, <%= pageData.favorites[i].house_id %>);"><i class="fas fa-heart mx-2 liked"></i></a>
                    <a href="#"><i class="fas fa-share-alt mx-2"></i></a>
                  </div>
                </div>
              </div>
            <% } %>
          </div>
        </div>
      </div>
    </section>

    <%- include("partials/footer") %>

    <script>
      var activeChat = 0;

      function openCommentBox (e) {
        var commentBox, commentP, rate, stars, rateText;

        if ($(e.srcElement).hasClass("svg-inline--fa")) {
          commentP = $(e.srcElement.parentElement.parentElement);
        } else {
          commentP = $(e.srcElement.parentElement.parentElement.parentElement);
        }

        commentBox = $(commentP[0].previousElementSibling);

        stars = commentP.children(".history-rating");

        console.log(commentP);
        console.log(commentBox);

        rate = 0;

        for (i = 0; i < stars.length; i++) {
          if ($(stars[0]).css("color") != "rgb(128, 128, 128)") {
            rate += 1;
          }
        }

        if (rate == 1) {
          rateText = "خیلی بد";
        } else if (rate == 2) {
          rateText = "بد";
        } else if (rate == 3) {
          rateText = "متوسط";
        } else if (rate == 4) {
          rateText = "خوب";
        } else if (rate == 5) {
          rateText = "عالی";
        }

        commentBox.children(".history-comment-box-rating").children("p").text(rateText)
        commentBox.attr("rating", rate);

        // var commentBox = $(".history-comment-box");
        // var commentP = $(".history-card p:nth-child(7)");

        commentBox.removeClass("d-none");

        commentBox.css("top", commentP.position().top - 203 + "px");
      }

      function historyRatingHover (e, rating) {
        // console.log(rating);
        // console.log($(e.srcElement.parentElement.children));
        var ratingSelector = e.srcElement.parentElement.children;
        if (rating == 5) {;
          $(e.srcElement.parentElement.children[4]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[3]).css("color", "gray");
          $(e.srcElement.parentElement.children[2]).css("color", "gray");
          $(e.srcElement.parentElement.children[1]).css("color", "gray");
          $(e.srcElement.parentElement.children[0]).css("color", "gray");
        } else if (rating == 4) {
          $(e.srcElement.parentElement.children[4]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[3]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[2]).css("color", "gray");
          $(e.srcElement.parentElement.children[1]).css("color", "gray");
          $(e.srcElement.parentElement.children[0]).css("color", "gray");
        } else if (rating == 3) {
          $(e.srcElement.parentElement.children[4]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[3]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[2]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[1]).css("color", "gray");
          $(e.srcElement.parentElement.children[0]).css("color", "gray");
        } else if (rating == 2) {
          $(e.srcElement.parentElement.children[4]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[3]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[2]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[1]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[0]).css("color", "gray");
        } else {
          $(e.srcElement.parentElement.children[4]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[3]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[2]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[1]).css("color", "#ffc107");
          $(e.srcElement.parentElement.children[0]).css("color", "#ffc107");
        }
      }

      function historyCommentSubmit (e, id) {
        console.log("HISTORY COMMENT SUBMIT CALLED");
        e.preventDefault();
        var houseId = $("div[reserveid='" + id + "']").attr("houseid");
        var comment = $(e.target()).children("textarea").val();
        var rate = parseInt($("div[reserveid='" + id + "']").children(".card-body").children(".history-comment").children(".history-comment-box").attr("rating"));
        var commentParent = $("div[reserveid='" + id + "']").children(".card-body").children(".history-comment");
        var commentDiv = `<p class="mb-2">امتیاز:<span class="history-rating mr-2" rating="${rate}">`;

        for (i = 1; i < 6; i++) {
          if (i <= rate) {
            commentDiv = commentDiv + `<i class="fas fa-star" style="color: #ffc107;"></i>`;
          } else {
            commentDiv = commentDiv + `<i class="fas fa-star"></i>`
          }
        }

        commentDiv = commentDiv + `</span></p><p>${comment}</p>`

        var dataObj = {
          reserve_id: id,
          house_id: houseId,
          comment: comment,
          rate: rate
        }

        $.ajax({
          method: "POST",
          url: "/rate",
          dataType: "json",
          data: dataObj,

          success: function (data) {
            console.log("SUBMIT COMMENT SUCCESSFUL");
            console.log(data);

            commentParent.empty();
            commentParent.append(commentDiv);
          },

          error: function (err) {
            console.log("SUBMIT COMMENT ERROR");
            console.log(err);
          }
        })

        $(".history-comment-box").addClass("d-none");
      }

      function historyCommentClose (e) {
        $(".history-comment-box").addClass("d-none");
      }

      setInterval(function () {
        console.log("UPDATE INTERVAL CALLED");

        var chatHistory = $(".chat-history");
        var messageTemp = ``;
        var lastOrder = 0;

        if (activeChat != 0) {
          if (chatHistory.children().length > 0) {
            lastOrder = parseInt(chatHistory.children().last().attr("messageorder"));
          }

          $.ajax({
            method: "POST",
            url: "/checkmessages",
            dataType: "json",
            data: {
              chat_id: activeChat,
              last_order: lastOrder
            },

            success: function (data) {
              console.log("CHECK MESSAGES REQUEST SUCCESSFUL");
              console.log(data);

              if (data.messages.length > 0) {
                for (i = 0; i < data.messages.length; i++) {
                    if (data.chat.messages[i].sender == userId) {
                      messageTemp = `<div class="chat-message-parent w-100 my-1" messageorder="${data.chat.messages[i].order}"><div class="chat-message p-1 rounded text-right float-left"><h6 class="m-0">${data.chat.messages[i].text}</h6><p class="text-muted small m-0">${data.chat.messages[i].time.toString().slice(16, 21)}</p></div><div class="clearfix"></div></div>`
                      chatHistory.append(messageTemp)
                    } else {
                      messageTemp = `<div class="chat-message-parent chat-me-message-parent w-100 my-1" messageorder="${data.chat.messages[i].order}"><div class="chat-message p-1 rounded text-right"><h6 class="m-0">${data.chat.messages[i].text}</h6><p class="m-0 text-muted small">${data.chat.messages[i].time.toString().slice(16, 21)}</p></div></div>`
                      chatHistory.append(messageTemp)
                    }

                  messageTemp = ``;
                }
              }
            },

            error: function (err) {
              console.log("CHECK MESSAGES REQUEST ERROR");
              console.log(err);
            }
          })
        }

      }, 1000 * 60 * 5)

      function openChatModal (e, userId) {
        var chatTitle = $(".chat-modal-title h5");
        var chatImg = $(".chat-modal-title img");
        var chatHistory = $(".chat-history");
        var messageTemp = ``;

        chatHistory.empty();

        $.ajax({
          method: "POST",
          url: "/getchat",
          dataType: "json",
          data: {
            receiver_id: userId
          },

          success: function (data) {
            console.log("GET CHAT POST REQUEST SUCCESSFUL");
            console.log(data);

            for (i = 0; i < data.chat.messages.length; i++) {
              if (data.chat.messages[i].sender == userId) {
                messageTemp = `<div class="chat-message-parent w-100 my-1" messageorder="${data.chat.messages[i].order}"><div class="chat-message p-1 rounded text-right float-left"><h6 class="m-0">${data.chat.messages[i].text}</h6><p class="text-muted small m-0">${data.chat.messages[i].time.toString().slice(16, 21)}</p></div><div class="clearfix"></div></div>`
                chatHistory.append(messageTemp)
              } else {
                messageTemp = `<div class="chat-message-parent chat-me-message-parent w-100 my-1" messageorder="${data.chat.messages[i].order}"><div class="chat-message p-1 rounded text-right"><h6 class="m-0">${data.chat.messages[i].text}</h6><p class="m-0 text-muted small">${data.chat.messages[i].time.toString().slice(16, 21)}</p></div></div>`
                chatHistory.append(messageTemp)
              }

              messageTemp = ``;
            }

            activeChatUser = userId;
            activeChat = data.chat.chat_id;
          },

          error: function (err) {
            console.log("GET CHAT POST REQUEST ERROR");
            console.log(err);
          }
        })

        $("#chatModal").modal("show");
      }

      $("chatModal").on("hide.bs.modal", function (e) {
        console.log("MODAL CLosing");
        activeChat = 0;
      })

      function sendMessage (e) {
        console.log("SEND MESSAGE CALLED");

        e.preventDefault();

        var chatHistory = $(".chat-history");
        var chatInput = $(".chat-form input");
        var messageTemp = ``;

        $.ajax({
          method: "POST",
          url: "/sendmessage",
          dataType: "json",
          data: {
            chat_id: activeChat,
            text: chatInput.val()
          },

          success: function (data) {
            console.log("SEND MESSAGE POST REQUEST SUCCESSFUL");
            console.log(data);

            messageTemp = `<div class="chat-message-parent chat-me-message-parent w-100 my-1" messageorder="${data.messageOrder}"><div class="chat-message p-1 rounded text-right"><h6 class="m-0">${chatInput.val()}</h6><p class="m-0 text-muted small">${Date().toString().slice(16, 21)}</p></div></div>`

            chatHistory.append(messageTemp)

            messageTemp = ``;

            chatInput.val("");
          },

          error: function (err) {
            console.log("SEND MESSAGE POST REQUEST ERROR");
            console.log(err);
          }
        })
      }

      function likeHouse (e, id) {
        console.log("LIKE HOUSE CALLED");

        var houseId = id;
        var action = "like";
        var icon = $("div[houseid='" + houseId + "']").children(".card-body").children(".house-card-icons").children(".fa-heart");

        if (icon.hasClass("liked")) {
          action = "dislike";
        };

        $.ajax({
          method: "POST",
          url: "/like",
          dataType: "json",
          data : {
            houseid: houseId,
            action: action
          },

          success: function (data) {
            console.log("HOUSE LIKED");
            console.log(data);

            if (action == "like") {
              icon.addClass("liked");
            } else {
              icon.removeClass("liked");
            }
          },

          error: function (err) {
            console.log("POST REQUEST ERROR");
            console.log(err);
          }
        });
      }
    </script>

  </body>
</html>
